---------------------
PatchSet 2405 
Date: 2001/05/29 15:44:16
Author: hno
Branch: etag
Tag: (none) 
Log:
Send If-None-Match on cache validations

Members: 
	src/http.c:1.13.14.2->1.13.14.3 

Index: squid/src/http.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/http.c,v
retrieving revision 1.13.14.2
retrieving revision 1.13.14.3
diff -u -r1.13.14.2 -r1.13.14.3
--- squid/src/http.c	28 May 2001 21:04:47 -0000	1.13.14.2
+++ squid/src/http.c	29 May 2001 15:44:16 -0000	1.13.14.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.13.14.2 2001/05/28 21:04:47 hno Exp $
+ * $Id: http.c,v 1.13.14.3 2001/05/29 15:44:16 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -735,6 +735,9 @@
     /* append our IMS header */
     if (request->lastmod > -1 && request->method == METHOD_GET)
 	httpHeaderPutTime(hdr_out, HDR_IF_MODIFIED_SINCE, request->lastmod);
+    if (request->vary) 
+	if (request->vary->etag)
+	    httpHeaderPutStr(hdr_out, HDR_IF_NONE_MATCH, request->vary->etag);
 
     /* decide if we want to do Ranges ourselves 
      * (and fetch the whole object now)
